## partclone 0.2.89

=== tests/Makefile ===
# Makefile.in generated by automake 1.15 from Makefile.am.
# tests/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2014 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/partclone
pkgincludedir = $(includedir)/partclone
pkglibdir = $(libdir)/partclone
pkglibexecdir = $(libexecdir)/partclone
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
#am__append_1 = ext2.test \
#	ext3.test ext4.test
#am__append_2 = btrfs.test
#am__append_3 = fat.test
#am__append_4 = reiserfs.test

#if ENABLE_REISER4
#TESTS += reiser4.test
#endif
#am__append_5 = hfsplus.test
#am__append_6 = xfs.test
#am__append_7 = exfat.test
#am__append_8 = f2fs.test
#am__append_9 = ntfs.test

#if ENABLE_UFS
#TESTS += ufs.test
#endif

#if ENABLE_VMFS
#TESTS += vmfs.test
#endif
#am__append_10 = jfs.test
#am__append_11 = btrfs.test
#am__append_12 = exfat.test
#am__append_13 = nilfs2.test
#am__append_14 = ncursesw.test
subdir = tests
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__tty_colors_dummy = \
  mgn= red= grn= lgn= blu= brg= std=; \
  am__color_tests=no
am__tty_colors = { \
  $(am__tty_colors_dummy); \
  if test "X$(AM_COLOR_TESTS)" = Xno; then \
    am__color_tests=no; \
  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
    am__color_tests=yes; \
  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
    am__color_tests=yes; \
  fi; \
  if test $$am__color_tests = yes; then \
    red='[0;31m'; \
    grn='[0;32m'; \
    lgn='[1;32m'; \
    blu='[1;34m'; \
    mgn='[0;35m'; \
    brg='[1m'; \
    std='[m'; \
  fi; \
}
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__recheck_rx = ^[ 	]*:recheck:[ 	]*
am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
# A command that, given a newline-separated list of test names on the
# standard input, print the name of the tests that are to be re-run
# upon "make recheck".
am__list_recheck_tests = $(AWK) '{ \
  recheck = 1; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
        { \
          if ((getline line2 < ($$0 ".log")) < 0) \
	    recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
        { \
          recheck = 0; \
          break; \
        } \
      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
        { \
          break; \
        } \
    }; \
  if (recheck) \
    print $$0; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# A command that, given a newline-separated list of test names on the
# standard input, create the global log from their .trs and .log files.
am__create_global_log = $(AWK) ' \
function fatal(msg) \
{ \
  print "fatal: making $@: " msg | "cat >&2"; \
  exit 1; \
} \
function rst_section(header) \
{ \
  print header; \
  len = length(header); \
  for (i = 1; i <= len; i = i + 1) \
    printf "="; \
  printf "\n\n"; \
} \
{ \
  copy_in_global_log = 1; \
  global_test_result = "RUN"; \
  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
    { \
      if (rc < 0) \
         fatal("failed to read from " $$0 ".trs"); \
      if (line ~ /$(am__global_test_result_rx)/) \
        { \
          sub("$(am__global_test_result_rx)", "", line); \
          sub("[ 	]*$$", "", line); \
          global_test_result = line; \
        } \
      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
        copy_in_global_log = 0; \
    }; \
  if (copy_in_global_log) \
    { \
      rst_section(global_test_result ": " $$0); \
      while ((rc = (getline line < ($$0 ".log"))) != 0) \
      { \
        if (rc < 0) \
          fatal("failed to read from " $$0 ".log"); \
        print line; \
      }; \
      printf "\n"; \
    }; \
  close ($$0 ".trs"); \
  close ($$0 ".log"); \
}'
# Restructured Text title.
am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
# Solaris 10 'make', and several other traditional 'make' implementations,
# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
# by disabling -e (using the XSI extension "set +e") if it's set.
am__sh_e_setup = case $$- in *e*) set +e;; esac
# Default flags passed to test drivers.
am__common_driver_flags = \
  --color-tests "$$am__color_tests" \
  --enable-hard-errors "$$am__enable_hard_errors" \
  --expect-failure "$$am__expect_failure"
# To be inserted before the command running the test.  Creates the
# directory for the log if needed.  Stores in $dir the directory
# containing $f, in $tst the test, in $log the log.  Executes the
# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
# will run the test scripts (or their associated LOG_COMPILER, if
# thy have one).
am__check_pre = \
$(am__sh_e_setup);					\
$(am__vpath_adj_setup) $(am__vpath_adj)			\
$(am__tty_colors);					\
srcdir=$(srcdir); export srcdir;			\
case "$@" in						\
  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
    *) am__odir=.;; 					\
esac;							\
test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
if test -f "./$$f"; then dir=./;			\
elif test -f "$$f"; then dir=;				\
else dir="$(srcdir)/"; fi;				\
tst=$$dir$$f; log='$@'; 				\
if test -n '$(DISABLE_HARD_ERRORS)'; then		\
  am__enable_hard_errors=no; 				\
else							\
  am__enable_hard_errors=yes; 				\
fi; 							\
case " $(XFAIL_TESTS) " in				\
  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
    am__expect_failure=yes;;				\
  *)							\
    am__expect_failure=no;;				\
esac; 							\
$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
# A shell command to get the names of the tests scripts with any registered
# extension removed (i.e., equivalently, the names of the test logs, with
# the '.log' extension removed).  The result is saved in the shell variable
# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
# since that might cause problem with VPATH rewrites for suffix-less tests.
# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
am__set_TESTS_bases = \
  bases='$(TEST_LOGS)'; \
  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  bases=`echo $$bases`
RECHECK_LOGS = $(TEST_LOGS)
AM_RECURSIVE_TARGETS = check recheck
TEST_SUITE_LOG = test-suite.log
TEST_EXTENSIONS =  .test
am__test_logs1 = $(TESTS:=.log)
am__test_logs2 = $(am__test_logs1:.log=.log)
TEST_LOGS = $(am__test_logs2:.test.log=.log)
TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
	$(TEST_LOG_FLAGS)
am__set_b = \
  case '$@' in \
    */*) \
      case '$*' in \
        */*) b='$*';; \
          *) b=`echo '$@' | sed 's/\.log$$//'`; \
       esac;; \
    *) \
      b='$*';; \
  esac
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/test-driver TODO
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/thomas/partclone/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 1
AUTOCONF = ${SHELL} /home/thomas/partclone/missing autoconf
AUTOHEADER = ${SHELL} /home/thomas/partclone/missing autoheader
AUTOMAKE = ${SHELL} /home/thomas/partclone/missing automake-1.15
AWK = mawk
CC = gcc
CCDEPMODE = depmode=gcc3

=== debian/changelog ===
partclone (0.2.89-4) unstable; urgency=medium

  * enabled the support for XFS back. Closes: #830535
  
 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 May 2017 19:01:09 +0200

partclone (0.2.89-3) unstable; urgency=medium

  *  backported some code from the last version. Closes: #857966 (CVE-2017-6596)


 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Apr 2017 20:41:56 +0200

partclone (0.2.89-2) unstable; urgency=medium

  * added a dependency on libaal-dev >= 1.06-3. Closes: #842115

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 23 Nov 2016 18:25:53 +0100

partclone (0.2.89-1) unstable; urgency=medium

  * included Matthias Klose's patch. Closes: #842115
  * upgraded to the new upstream release, which Closes: #825990
  * upgraded Standards-Version: 3.9.8

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Nov 2016 12:23:29 +0100

=== debian/control ===
Source: partclone
Section: admin
Priority: extra
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 9.0.0), quilt, dh-autoreconf,
 gettext (>=0.18.2.1),
 e2fslibs-dev (>= 1.41.3), xfslibs-dev,
 libreiser4-dev (>=1.0.7-6.2), libaal-dev (>=1.0.6-3),
 libbsd-dev, libncursesw5-dev, ntfs-3g-dev, vmfs-tools, nilfs-tools,
 libblkid-dev, pkg-config, xsltproc, docbook-xsl
Standards-Version: 3.9.8
Homepage: http://partclone.org/

Package: partclone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to clone and restore a partition
 Partclone is a project like the well-known backup utility 
 "Partition Image" a.k.a. partimage. 
 .
 Partclone provides utilities to back up used blocks and 
 design for highest compatibility with file system using 
 supported libraries like e2fslibs.
 .
 check the project website for more details
 http://partclone.org

## partclone 0.2.91

=== debian/changelog ===
partclone (0.2.91-drbl1) unstable; urgency=medium

  * New upstream.
  * Compiled on Debian Jessie.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 22 Jun 2017 11:24:20 +0800

partclone (0.2.90-drbl1) unstable; urgency=medium

  * New upstream.
  * Compiled on Debian Jessie.

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 24 Mar 2017 16:34:35 +0800

partclone (0.2.89-drbl1) unstable; urgency=medium

  * New upstream.
  * Compiled on Debian Jessie.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 23 Jun 2016 15:20:31 +0800

partclone (0.2.88-drbl1) unstable; urgency=medium

  * New upstream.
  * Compiled on Debian Jessie.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 03 Mar 2016 10:05:05 +0800

## partclone 0.3.5c

=== debian/changelog ===
partclone (0.3.5c-drbl1) experimental; urgency=medium

  * New upstream.
  * Compiled on Debian Sid. Only enable part of the supported file systems.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 21 Feb 2017 10:18:31 +0800

## partclone 0.3.5d

=== debian/changelog ===
partclone (0.3.5d-drbl1) experimental; urgency=medium

  * New upstream.
  * Compiled on Debian Sid. Only enable part of the supported file systems.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 22 Feb 2017 09:42:13 +0800

## partclone 0.3.5e

=== debian/changelog ===
partclone (0.3.5e-drbl1) experimental; urgency=medium

  * New upstream.
  * Compiled on Debian Sid. Only enable part of the supported file systems.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 22 Feb 2017 12:10:01 +0800

## partclone 0.3.5f

=== debian/changelog ===
partclone (0.3.5f-drbl1) experimental; urgency=medium

  * New upstream.
  * Compiled on Debian Sid. Only enable part of the supported file systems.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 12 Apr 2017 08:41:41 +0800

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf --with autotools-dev

override_dh_auto_configure:
	# Add here commands to configure the package.
	#cp /usr/share/misc/config.sub .
	#cp /usr/share/misc/config.guess .
	#autoreconf
	#./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info LDFLAGS="-Wl,-z,defs" --enable-ncursesw --enable-extfs --enable-static
	# dh_auto_configure -- --enable-ncursesw --enable-extfs --enable-static # for normal linux
	dh_auto_configure -- --enable-ncursesw --enable-extfs --enable-xfs --enable-hfsp --enable-fat --enable-exfat --enable-f2fs --enable-nilfs2 --enable-ntfs --enable-btrfs # for clonezilla dist

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/partclone prefix=/usr install

override_dh_auto_clean:
	dh_auto_clean
	rm -f get_lib_version
	rm -f config.sub configure Makefile.in aclocal.m4 config.guess
	rm -f src/Makefile.in docs/Makefile.in

override_dh_clean:
	dh_clean -X fail-mbr/fail-mbr.bin.orig

override_dh_strip:
	dh_strip --dbg-package=partclone-dbg

## partclone 0.3.5g

=== debian/changelog ===
partclone (0.3.5g-drbl1) experimental; urgency=medium

  * New upstream.
  * Compiled on Debian Sid. Only enable part of the supported file systems.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 13 Apr 2017 07:50:06 +0800

## partclone 0.3.6

=== debian/changelog ===
partclone (0.3.6-2build1) artful; urgency=medium

  * No-change rebuild against libntfs-3g872

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 26 Jun 2017 04:40:14 +0000

partclone (0.3.6-2) unstable; urgency=medium

  * new build, for sid.

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 20 Jun 2017 15:54:09 +0200

partclone (0.3.6-1) experimental; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 18 Jun 2017 17:00:54 +0200

partclone (0.2.90-2) experimental; urgency=medium

  * Enabled XFS support back. Closes: #830535

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 11 May 2017 19:10:13 +0200

partclone (0.2.90-1) experimental; urgency=medium

  * New upstream release. Closes: #857966 (CVE-2017-6596)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Mar 2017 17:54:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partclone
 Section: admin
 Priority: extra
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 9.0.0), quilt, dh-autoreconf,
  gettext (>=0.18.2.1),
  e2fslibs-dev (>= 1.41.3), xfslibs-dev,

## partclone 0.3.11

=== debian/changelog ===
partclone (0.3.11-1build3) disco; urgency=medium

  * No-change rebuild against libntfs-3g883

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Jan 2019 01:20:27 +0000

partclone (0.3.11-1build2) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:20:36 +0000

partclone (0.3.11-1build1) bionic; urgency=medium

  * No-change rebuild against latest ntfs-3g

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 02 Dec 2017 21:52:52 -0500

partclone (0.3.11-1) unstable; urgency=medium

  * New upstream release
  * Upgraded Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 18:37:29 +0200

partclone (0.3.8-1) unstable; urgency=medium

  * New upstream release

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 09 Oct 2017 19:41:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libreiser4-dev (>=1.0.7-6.2), libaal-dev (>=1.0.6-3),
  libbsd-dev, libncursesw5-dev, ntfs-3g-dev, vmfs-tools, nilfs-tools,
  libblkid-dev, pkg-config, xsltproc, docbook-xsl
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://partclone.org/
 
 Package: partclone

## partclone 0.3.11.2

=== debian/changelog ===
partclone (0.3.11.2-1+rebuild) unstable; urgency=low

  * ['Autobuild release-candidate: 108a012b582bc5bee58ff017f9887608a9eb42a0']

 -- shuttle <shuttle@deepin.com>  Wed, 11 Dec 2019 11:31:08 +0000

## partclone 0.3.13+dfsg

=== debian/changelog ===
partclone (0.3.13+dfsg-5) unstable; urgency=medium

  * modifications to comply with gcc-10: Closes: #957662
  * updated configuration stuff for gettext
  * made a stronger rule for d/rules clean : "rm -rf m4/"

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 17 Apr 2020 17:42:58 +0200

partclone (0.3.13+dfsg-4) unstable; urgency=medium

  * This revision is just to make a source upload

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 02 Oct 2019 16:58:37 +0200

partclone (0.3.13+dfsg-3) unstable; urgency=medium

  * removed the non-sensic $(DESTDIR) from d/rules, line 21,
    thanks to Holger Schröder's bug report. Closes: #935932

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 28 Aug 2019 15:17:52 +0200

partclone (0.3.13+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Fix FTCBFS:
    + Let dh_auto_configure pass --host to ./configure.
    + cross.patch: Don't hard code the build architecture pkg-config

  [ Georges Khaznadar ]
  * adopted Helmut Grohne's patch, thanks! Closes: #935932

 -- Helmut Grohne <helmut@subdivi.de>  Tue, 27 Aug 2019 20:38:00 +0200

partclone (0.3.13+dfsg-1) unstable; urgency=medium

  * New upstream version 0.3.13
  * removed ELF files from the source package
  * refreshed one debian patch
  * updated Standards-Version: 4.3.0, debhelper (>= 11)
  * set priority to optional
  * added a build-dependency on libssl-dev

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2019 14:37:10 +0200

partclone (0.3.11+dfsg-1) unstable; urgency=medium

  * removed the ELF file src/xfs/libxfs/crc32selftest

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Aug 2019 14:13:55 +0200

partclone (0.3.11-1) UNPUBLISHED; urgency=medium

  * New upstream release
  * Upgraded Standards-Version

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 23 Oct 2017 18:37:29 +0200

=== debian/control ===
Source: partclone
Section: admin
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper (>= 11), quilt, dh-autoreconf,
 gettext,
 e2fslibs-dev, xfslibs-dev,
 libreiser4-dev, libaal-dev,
 libbsd-dev, libncursesw5-dev, ntfs-3g-dev, vmfs-tools, nilfs-tools,
 libblkid-dev, pkg-config, xsltproc, docbook-xsl,
 libssl-dev
Standards-Version: 4.3.0
Homepage: http://partclone.org/

Package: partclone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to clone and restore a partition
 Partclone is a project like the well-known backup utility 
 "Partition Image" a.k.a. partimage. 
 .
 Partclone provides utilities to back up used blocks and 
 design for highest compatibility with file system using 
 supported libraries like e2fslibs.
 .
 check the project website for more details
 http://partclone.org

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@


FAILBOOTDIR = $(CURDIR)/debian/partclone/usr/share/partclone
MAN8DIR = $(CURDIR)/debian/partclone/usr/share/man/man8

override_dh_auto_configure:
	./autogen
	dh_auto_configure -- --prefix=/usr --enable-ncursesw --enable-all

override_dh_clean: # keep the special file fail-mbr/fail-mbr.bin.orig
	dh_clean
	# for some reason, dh_clean kills .orig files,
	# so we restore fail-mbr.bin.orig
	cp debian/fail-mbr.bin fail-mbr/fail-mbr.bin.orig
	# remove files generated by autogen and no removed by
	# dh_clean
	rm -f depcomp missing compile
	rm -f Makefile.in
	rm -f aclocal.m4
	rm -f config.h.in
	rm -f configure
	rm -f docs/Makefile.in
	rm -f fail-mbr/Makefile.in
	rm -f ltmain.sh
	rm -rf m4/
	rm -f src/Makefile.in
	rm -f tests/Makefile.in


override_dh_auto_test:
	echo Skipping tests.

override_dh_auto_install:
	dh_auto_install
	install -d $(FAILBOOTDIR)
	cp fail-mbr/fail-mbr.bin $(FAILBOOTDIR)
	install -d $(MAN8DIR)
	cd $(MAN8DIR); \
	  ln -s partclone.fat.8.gz partclone.vfat.8.gz; \
	  ln -s partclone.fat.8.gz partclone.fat12.8.gz; \
	  ln -s partclone.fat.8.gz partclone.fat16.8.gz; \
	  ln -s partclone.fat.8.gz partclone.fat32.8.gz; \
	  ln -s partclone.hfsp.8.gz partclone.hfs+.8.gz; \
	  ln -s partclone.hfsp.8.gz partclone.hfsplus.8.gz; \
	  ln -s partclone.extfs.8.gz partclone.ext2.8.gz; \
	  ln -s partclone.extfs.8.gz partclone.ext3.8.gz; \
	  ln -s partclone.extfs.8.gz partclone.ext4.8.gz; \
	  ln -s partclone.extfs.8.gz partclone.ext4dev.8.gz

## partclone 0.3.17%2Bdfsg

=== debian/changelog ===
partclone (0.3.17+dfsg-1build2) jammy; urgency=medium

  * No-change rebuild against libntfs-3g89

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 17 Jan 2022 14:00:47 +0000

partclone (0.3.17+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 10:53:51 +0100

partclone (0.3.17+dfsg-1) unstable; urgency=medium

  * new upstream version
  * fixed a bad usage of wprintw in partclone.c. Closes: #997192

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Oct 2021 16:23:54 +0200

partclone (0.3.13+dfsg-6) unstable; urgency=medium

  * applied nabijaczleweli's patches, Thanks! Closes: #958924

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Mar 2021 19:00:52 +0100

## partclone 0.3.17+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partclone
 Section: admin
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper (>= 11), quilt, dh-autoreconf,
  gettext,
  e2fslibs-dev, xfslibs-dev,

## partclone 0.3.20+repack

=== debian/changelog ===
partclone (0.3.20+repack-1) unstable; urgency=medium

  * changed the repack suffix
  * New upstream version 0.3.20+repack

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 06 May 2022 18:54:03 +0200

partclone (0.3.19~repack-1) unstable; urgency=medium

  * new upstream version 0.3.19
  * updated debian patches
  * added a new build dependency, libmount-dev

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Apr 2022 18:21:54 +0200

partclone (0.3.18~repack-3) unstable; urgency=medium

  * enabled NTFS again. Why did the --enable-ntfs option break the build
    process two days ago?
  * declared a build-dependency on ntfs-3g-dev

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 22 Mar 2022 10:27:08 +0100

partclone (0.3.18~repack-2) unstable; urgency=medium

  * fixed the target override_dh_auto_configure in debian/rules.
    Closes: #1007975
  * disable NTFS support
  * made all --enable and --disable options explicitely for the configuration
    in debian/rules

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Mar 2022 15:53:00 +0100

partclone (0.3.18~repack-1) unstable; urgency=medium

  * new upstream version
  * updated debian patches

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Mar 2022 19:10:32 +0100

partclone (0.3.17+dfsg-2) unstable; urgency=medium

  * added Vcs stuff
  * bumped debhelper-compat (= 13), Standards-Version: 4.6.0
  * removed the useless dependency  dh-autoreconf
  * merged the contents of the file debian/source comments into
    debian/README.source

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 06 Mar 2022 18:34:26 +0100

=== debian/control ===
Source: partclone
Section: admin
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 gettext,
 e2fslibs-dev,
 xfslibs-dev,
 libreiser4-dev,
 ntfs-3g-dev,
 libaal-dev,
 libbsd-dev,
 libncursesw5-dev,
 vmfs-tools,
 nilfs-tools,
 libblkid-dev,
 pkg-config,
 xsltproc,
 docbook-xsl,
 libssl-dev,
 libmount-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/georgesk/partclone
Vcs-Git: https://salsa.debian.org/georgesk/partclone.git
Homepage: http://partclone.org/

Package: partclone
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Utility to clone and restore a partition
 Partclone is a project like the well-known backup utility 
 "Partition Image" a.k.a. partimage. 
 .
 Partclone provides utilities to back up used blocks and 
 design for highest compatibility with file system using 
 supported libraries like e2fslibs.
 .
 check the project website for more details
 http://partclone.org

## partclone 0.3.22+repack

=== debian/changelog ===
partclone (0.3.22+repack-1) unstable; urgency=medium

  * New upstream version 0.3.22+repack

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 12 Jan 2023 17:55:51 +0100

## partclone 0.3.23%2Brepack

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  docbook-xsl,
  libssl-dev,
  libmount-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/georgesk/partclone
 Vcs-Git: https://salsa.debian.org/georgesk/partclone.git
 Homepage: http://partclone.org/

## partclone 0.3.23+repack

=== debian/changelog ===
partclone (0.3.23+repack-1) unstable; urgency=medium

  * New upstream version 0.3.23+repack
  * bumped Standards-Version: 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Feb 2023 18:15:32 +0100

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,25 @@
 
 override_dh_auto_configure:
 	./autogen
-	dh_auto_configure -- --prefix=/usr --enable-ncursesw --enable-all
+	# disable reiserfs
+	dh_auto_configure -- --prefix=/usr --enable-ncursesw \
+		--enable-xfs \
+		--enable-extfs \
+		--disable-reiserfs \
+		--enable-reiser4 \
+		--enable-hfsp \
+		--enable-apfs \
+		--enable-fat \
+		--enable-exfat \
+		--enable-ntfs \
+		--disable-ufs \
+		--disable-vmfs \
+		--disable-jfs \
+		--enable-btrfs \
+		--enable-minix \
+		--enable-f2fs \
+		--disable-nilfs2
+
 
 override_dh_clean: # keep the special file fail-mbr/fail-mbr.bin.orig
 	dh_clean
@@ -33,6 +51,7 @@
 	rm -f aclocal.m4
 	rm -f config.h.in
 	rm -f configure
+	rm -f config.log
 	rm -f docs/Makefile.in
 	rm -f fail-mbr/Makefile.in
 	rm -f ltmain.sh

## partclone 0.3.25+repack

=== debian/changelog ===
partclone (0.3.25+repack-1) unstable; urgency=medium

  * New upstream version 0.3.25+repack

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 10:50:41 +0200

partclone (0.3.24+repack-1) unstable; urgency=medium

  * New upstream version 0.3.24+repack

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 25 Jul 2023 10:38:28 +0200

## partclone 0.3.27+repack

=== debian/changelog ===
partclone (0.3.27+repack-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:12:48 +1100

partclone (0.3.27+repack-2build1) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 20:34:13 +0000

partclone (0.3.27+repack-2) unstable; urgency=medium

  * remove file /usr/share/man/dd/man8/partclone.8.gz
    Closes: #850623
  * replaced ./autogen by sh ./autogen in d/rules. Closes: #1031106
  * modified Files-Excluded in d/copyright to exclude all man 8
    generated pages and src/xfs/libxfs/crc32selftest
  * improved the clean target. Closes: #1049043

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Feb 2024 14:44:25 +0100

partclone (0.3.27+repack-1) unstable; urgency=medium

  * New upstream version 0.3.27+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:38:47 +0200

partclone (0.3.26+repack-1) unstable; urgency=medium

  * New upstream version 0.3.26+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 30 Sep 2023 14:07:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partclone
 Section: admin
 Priority: optional
-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gettext,
  e2fslibs-dev,

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 MAN8DIR = $(CURDIR)/debian/partclone/usr/share/man/man8
 
 override_dh_auto_configure:
-	./autogen
+	sh ./autogen
 	# disable reiserfs
 	dh_auto_configure -- --prefix=/usr --enable-ncursesw \
 		--enable-xfs \
@@ -58,6 +58,8 @@
 	rm -rf m4/
 	rm -f src/Makefile.in
 	rm -f tests/Makefile.in
+	# those files are modified upon build, so debuilding twice fails
+	rm -f docs/partclone.8 docs/partclone.info.8
 
 
 override_dh_auto_test:
@@ -79,4 +81,6 @@
 	  ln -s partclone.extfs.8.gz partclone.ext3.8.gz; \
 	  ln -s partclone.extfs.8.gz partclone.ext4.8.gz; \
 	  ln -s partclone.extfs.8.gz partclone.ext4dev.8.gz
+	# docs/partclone.dd.8 is a particular case, see bug #850623
+	rm -rf $(CURDIR)/debian/partclone/usr/share/man/dd

## partclone 0.3.31+repack

=== debian/changelog ===
partclone (0.3.31+repack-2) unstable; urgency=medium

  * modified the patch debian/patches/config-stuff.patch, in order
    to define the macro HAVE-TIME_H. Closes:#1075364

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 06 Jul 2024 16:47:04 +0200

partclone (0.3.31+repack-1) unstable; urgency=medium

  * d/copyright do no longer exclude manfiles, except
    docs/partclone.8 and docs/partclone.info.8 which are rebuilt
    from source
  * New upstream version 0.3.31+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Jun 2024 15:54:42 +0200

partclone (0.3.29+repack-1) unstable; urgency=medium

  * New upstream version 0.3.29+repack
  * fixed build dependencies e2fslibs-dev => libext2fs-dev,
    libncursesw5-dev => libncurses-dev, pkg-config => pkgconf

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:19:33 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: partclone
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Georges Khaznadar <georgesk@debian.org>
+Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gettext,
- e2fslibs-dev,
+ libext2fs-dev,
  xfslibs-dev,
  libreiser4-dev,
  ntfs-3g-dev,
  libaal-dev,
  libbsd-dev,
- libncursesw5-dev,
+ libncurses-dev,
  vmfs-tools,
  nilfs-tools,
  libblkid-dev,
- pkg-config,
+ pkgconf,
  xsltproc,
  docbook-xsl,
  libssl-dev,

## partclone 0.3.32+repack

=== debian/changelog ===
partclone (0.3.32+repack-3) unstable; urgency=medium

  * do not install manpages for unsupported file systems.
    removed the build-dependency on libaal-dev.
    Closes: #1080522
  * applied some parts of Bastian Germann's debdiff, thanks!
    + Drop unused manpage template.
    + Drop unused lintian override.
    + Fix lintian: unused-license-paragraph-in-dep5-copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 17:27:04 +0200

partclone (0.3.32+repack-2) unstable; urgency=medium

  * removed the build-dependency on libreiser4-dev, and the ability to
    deal with reiserfs4 file systems. Closes: #1079599

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 31 Aug 2024 10:17:52 +0200

partclone (0.3.32+repack-1) unstable; urgency=medium

  * New upstream version 0.3.32+repack

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 25 Jul 2024 16:46:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,7 @@
  gettext,
  libext2fs-dev,
  xfslibs-dev,
- libreiser4-dev,
  ntfs-3g-dev,
- libaal-dev,
  libbsd-dev,
  libncurses-dev,
  vmfs-tools,

## partclone 0.3.33+repack

=== debian/changelog ===
partclone (0.3.33+repack-3) unstable; urgency=medium

  * added a build dependency on the virtual package
    architecture-is-little-endian to prevent building on 
    s390x architecture. Closes: #1093194
 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Jan 2025 14:57:37 +0100

partclone (0.3.33+repack-2) unstable; urgency=medium

  * Used Philipp Kern's hint « AC_CHECK_HEADERS([byteswap.h]) », thanks!
    Closes: #1093194

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 21 Jan 2025 18:15:45 +0100

partclone (0.3.33+repack-1) unstable; urgency=medium

  * New upstream version 0.3.33+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Dec 2024 18:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
+ architecture-is-little-endian,
  gettext,
  libext2fs-dev,
  xfslibs-dev,

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,12 @@
 
 override_dh_auto_configure:
 	sh ./autogen
-	# disable reiserfs
+	# disable reiserfs and reiserfs4
 	dh_auto_configure -- --prefix=/usr --enable-ncursesw \
 		--enable-xfs \
 		--enable-extfs \
 		--disable-reiserfs \
-		--enable-reiser4 \
+		--disable-reiser4 \
 		--enable-hfsp \
 		--enable-apfs \
 		--enable-fat \

## partclone 0.3.34+repack

=== debian/changelog ===
partclone (0.3.34+repack-2) unstable; urgency=medium

  * the build is OK in exprimental; downloading to unstable, and
    removing tests with gcc-15. Closes: #1097551

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Mar 2025 14:19:29 +0100

partclone (0.3.34+repack-1) experimental; urgency=medium

  * New upstream version 0.3.34+repack
  * refreshed the debian patch
  * removed the stuff related to fail-mbr

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 19 Mar 2025 10:49:33 +0100

partclone (0.3.33+repack-4) experimental; urgency=medium

  * added a CI file for salsa.debian.org
  * bumped Standards-Version: 4.7.2
  * modified d/control and d/rules to enforce gcc-15

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Mar 2025 16:40:33 +0100

## partclone 0.3.36+repack

=== debian/changelog ===
partclone (0.3.36+repack-1) unstable; urgency=medium

  * New upstream version 0.3.36+repack

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Apr 2025 15:53:04 +0200

## partclone 0.3.37+repack

=== debian/changelog ===
partclone (0.3.37+repack-1) unstable; urgency=medium

  * New upstream version 0.3.37+repack

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 14:45:19 +0200

## partclone 0.3.37-drbl

=== debian/changelog ===
partclone (0.3.37-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 04 Jun 2025 18:20:21 +0800

partclone (0.3.36-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 27 Mar 2025 19:34:06 +0800

partclone (0.3.34-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 19 Mar 2025 16:57:58 +0800

partclone (0.3.33-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 13 Dec 2024 10:14:37 +0800

partclone (0.3.32-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 15 Jul 2024 16:51:20 +0800

partclone (0.3.31-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bookworm with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 24 Jun 2024 09:29:10 +0800

partclone (0.3.29-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 14 Jun 2024 19:30:45 +0800

partclone (0.3.27-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Built on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 05 Oct 2023 09:19:50 +0800

partclone (0.3.26-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 25 Sep 2023 18:36:59 +0800

partclone (0.3.25-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 07 Aug 2023 11:52:08 +0800

partclone (0.3.24-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 20 Jul 2023 14:52:45 +0800

partclone (0.3.23-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Jan 2023 16:20:52 +0800

partclone (0.3.22-drbl-2) unstable; urgency=medium

  * From upstream git repository
    https://github.com/Thomas-Tsai/partclone/commit/cff71700a8c9a980f10119038f486138e48e184d

 -- Steven Shiau <steven@clonezilla.org>  Fri, 27 Jan 2023 11:43:10 +0800

partclone (0.3.22-drbl-1) unstable; urgency=medium

  * New upstream. 
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 Jan 2023 11:04:09 +0800

partclone (0.3.21-drbl-2) unstable; urgency=medium

  * Partclone version number was fixed. 

 -- Steven Shiau <steven@clonezilla.org>  Tue, 10 Jan 2023 08:17:06 +0800

partclone (0.3.21-drbl-1) unstable; urgency=medium

  * New upstream release.
  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Sat, 07 Jan 2023 21:15:29 +0800

partclone (0.3.20-drbl-5) unstable; urgency=medium

  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 21 Dec 2022 21:56:02 +0800

partclone (0.3.20-drbl-3) unstable; urgency=medium

  * Rebuilt on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 11 May 2022 13:29:34 +0800

partclone (0.3.20-drbl2) unstable; urgency=medium

  * New upstream 0.3.20.
  * Built on Debian Bullseye with static linking.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 28 Apr 2022 13:45:02 +0800

partclone (0.3.19-drbl1) unstable; urgency=medium

  * New upstream 0.3.19.
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Fri, 18 Mar 2022 15:26:17 +0800

partclone (0.3.18-drbl1) unstable; urgency=medium

  * New upstream 0.3.18.
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 27 Sep 2021 18:24:12 +0800

partclone (0.3.17-drbl1) unstable; urgency=medium

  * New upstream 0.3.17. It fixed side effect from
    this issue:
    https://github.com/Thomas-Tsai/partclone/commit/536bec059c352061295b8dc7aa87f14e9c3b8d77
    i.e., when the partition size is unknown, the 
    following command will cause seffault:
    cat test.img | partclone.dd -d -s - -O test.img2
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Thu, 29 Oct 2020 18:09:24 +0800

partclone (0.3.16-drbl1) unstable; urgency=medium

  * New upstream 0.3.16.
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Tue, 27 Oct 2020 11:38:33 +0800

partclone (0.3.15-drbl1) unstable; urgency=medium

  * New upstream 0.3.15.
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Sun, 05 Jul 2020 17:48:53 +0800

partclone (0.3.14-drbl1) unstable; urgency=medium

  * New upstream 0.3.14.
  * Built on Debian Buster.

 -- Steven Shiau <steven@clonezilla.org>  Wed, 06 May 2020 15:25:13 +0800

partclone (0.3.13+git0819-2f1830e-drbl1) unstable; urgency=medium

  * New upstream:  Fixup buffer address passed into torrent helper in restore
    mode 
    https://github.com/tjjh89017/partclone/commit/2f1830eaecb30ab8a1097ed2ac1d9d128e0c6b54
    which is based on Partclone 0.3.13.

 -- Steven Shiau <steven@clonezilla.org>  Mon, 19 Aug 2019 17:52:59 +0800

partclone (0.3.12+git00e0212-drbl1) unstable; urgency=medium

  * New upstream: Fix up other mode when create torrent
    https://github.com/Thomas-Tsai/partclone/commit/51f5a1b64f0890d24c3f2da2b0378d51df705f3c
    fixup open_target when dd mode with torrent_only and directory exists
    https://github.com/Thomas-Tsai/partclone/commit/00e0212515bfdb53fc0c9c59b09e35d961732142

 -- Steven Shiau <steven@clonezilla.org>  Sat, 12 Jan 2019 14:50:00 +0800



=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with autoreconf --with autotools-dev

override_dh_auto_configure:
	# Add here commands to configure the package.
	#cp /usr/share/misc/config.sub .
	#cp /usr/share/misc/config.guess .
	#autoreconf
	#./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info LDFLAGS="-Wl,-z,defs" --enable-ncursesw --enable-extfs --enable-static
	# dh_auto_configure -- --enable-ncursesw --enable-extfs --enable-static # for normal linux
	dh_auto_configure -- --enable-ncursesw --enable-all --enable-static

override_dh_auto_install:
	$(MAKE) DESTDIR=$$(pwd)/debian/partclone prefix=/usr install

override_dh_auto_clean:
	dh_auto_clean
	rm -f get_lib_version
	rm -f config.sub configure Makefile.in aclocal.m4 config.guess
	rm -f src/Makefile.in docs/Makefile.in

override_dh_clean:
	dh_clean -X fail-mbr/fail-mbr.bin.orig

override_dh_strip:
	dh_strip --dbg-package=partclone-dbg
